%define upstream_name	 YAML
%define upstream_version 1.31

# Filter private provides:
# perl(yaml_mapping) perl(yaml_scalar) perl(yaml_sequence)
%global __provides_exclude ^perl\\(yaml_

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    YAML Ain't Markup Language (tm)
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/YAML/%{upstream_name}-%{upstream_version}.tar.gz

Provides:   perl-YAML-parser

BuildRequires: perl(Encode)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Test::Deep)
BuildRequires: perl(Test::More) >= 0.880.0
BuildRequires: perl(Test::YAML) >= 1.50.0
BuildArch:  noarch

%description
The YAML.pm module implements a YAML Loader and Dumper based on the YAML 1.0
specification. https://yaml.org/spec/

YAML is a generic data serialization language that is optimized for human
readability. It can be used to express the data structures of most modern
programming languages. (Including Perl!!!)

For information on the YAML syntax, please refer to the YAML specification.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor <<EOF
EOF
%make_build

%check
%__make test

%install
%make_install

%files 
%doc CONTRIBUTING Changes LICENSE META.json META.yml MYMETA.yml README
%{perl_vendorlib}/YAML*
%{_mandir}/*/*

%changelog
* Mon Jan 01 2024 tv <tv> 1.310.0-1.mga10
+ Revision: 2025406
- update to 1.31

* Mon Mar 21 2022 umeabot <umeabot> 1.300.0-3.mga9
+ Revision: 1812317
- Mageia 9 Mass Rebuild

* Thu Feb 20 2020 umeabot <umeabot> 1.300.0-2.mga8
+ Revision: 1545295
- Mageia 8 Mass Rebuild

* Tue Jan 28 2020 tv <tv> 1.300.0-1.mga8
+ Revision: 1484384
- update to 1.30

* Sat Jun 29 2019 shlomif <shlomif> 1.290.0-1.mga8
+ Revision: 1415880
- update to 1.29

* Sun Nov 04 2018 tv <tv> 1.270.0-1.mga7
+ Revision: 1328108
- update to 1.27

* Thu Sep 20 2018 umeabot <umeabot> 1.260.0-2.mga7
+ Revision: 1287472
- Mageia 7 Mass Rebuild

* Mon May 21 2018 tv <tv> 1.260.0-1.mga7
+ Revision: 1231301
- update to 1.26

* Sat May 12 2018 tv <tv> 1.250.0-1.mga7
+ Revision: 1228488
- update to 1.25

* Tue Oct 31 2017 tv <tv> 1.240.0-1.mga7
+ Revision: 1175173
- update to 1.24

* Sun Jul 23 2017 shlomif <shlomif> 1.230.0-1.mga7
+ Revision: 1129071
- update to 1.23

* Sun Jun 19 2016 pterjan <pterjan> 1.150.0-3.mga6
+ Revision: 1036178
- Rebuild for perl 5.22.2

* Fri Feb 19 2016 umeabot <umeabot> 1.150.0-2.mga6
+ Revision: 967698
- Mageia 6 Mass Rebuild

* Sat Jul 04 2015 sander85 <sander85> 1.150.0-1.mga6
+ Revision: 850043
- update to 1.15

* Sun Oct 19 2014 umeabot <umeabot> 1.110.0-5.mga5
+ Revision: 788532
- Rebuild to potentially add missing dependencies

* Wed Oct 15 2014 umeabot <umeabot> 1.110.0-4.mga5
+ Revision: 749653
- Second Mageia 5 Mass Rebuild

* Tue Sep 30 2014 tv <tv> 1.110.0-3.mga5
+ Revision: 731919
- add exclude

* Tue Sep 16 2014 umeabot <umeabot> 1.110.0-2.mga5
+ Revision: 686987
- Mageia 5 Mass Rebuild

* Sun Aug 31 2014 sander85 <sander85> 1.110.0-1.mga5
+ Revision: 669912
- update to 1.11

* Wed Aug 20 2014 sander85 <sander85> 1.90.0-1.mga5
+ Revision: 665926
- update to 1.09

* Tue Aug 19 2014 sander85 <sander85> 1.80.0-1.mga5
+ Revision: 665420
- update to 1.08

* Sun Aug 17 2014 sander85 <sander85> 1.60.0-1.mga5
+ Revision: 664757
- update to 1.06

* Sat Aug 16 2014 sander85 <sander85> 1.30.0-1.mga5
+ Revision: 664361
- update to 1.03

* Fri Aug 08 2014 sander85 <sander85> 1.10.0-1.mga5
+ Revision: 661044
- update to 1.01

* Thu Aug 07 2014 sander85 <sander85> 1.0.0-1.mga5
+ Revision: 660574
- update to 1.00

* Fri Aug 01 2014 sander85 <sander85> 0.980.0-1.mga5
+ Revision: 659106
- update to 0.98

* Fri Jul 18 2014 sander85 <sander85> 0.970.0-1.mga5
+ Revision: 653580
- update to 0.97

* Tue Jul 15 2014 sander85 <sander85> 0.960.0-1.mga5
+ Revision: 653025
- update to 0.96

* Sat Jun 21 2014 sander85 <sander85> 0.950.0-1.mga5
+ Revision: 638391
- update to 0.95

* Sun Jun 15 2014 sander85 <sander85> 0.940.0-1.mga5
+ Revision: 636564
- update to 0.94

* Sat Jun 14 2014 sander85 <sander85> 0.930.0-1.mga5
+ Revision: 636187
- update to 0.93

* Thu May 29 2014 sander85 <sander85> 0.920.0-1.mga5
+ Revision: 627565
- update to 0.92

* Wed May 28 2014 sander85 <sander85> 0.910.0-1.mga5
+ Revision: 627197
- update to 0.91

* Mon Feb 17 2014 jquelin <jquelin> 0.900.0-1.mga5
+ Revision: 593723
- update to 0.90

* Mon Feb 10 2014 jquelin <jquelin> 0.890.0-1.mga5
+ Revision: 588729
- update to 0.89

* Sat Feb 08 2014 sander85 <sander85> 0.880.0-1.mga5
+ Revision: 586352
- update to 0.88

* Fri Oct 18 2013 umeabot <umeabot> 0.840.0-3.mga4
+ Revision: 516287
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.840.0-2.mga3
+ Revision: 375285
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Sep 17 2012 jquelin <jquelin> 0.840.0-1.mga3
+ Revision: 295146
- update to 0.84

* Wed Jul 11 2012 jquelin <jquelin> 0.810.0-2.mga3
+ Revision: 269462
- fix yaml::any warning (patch by tom wyant)
- fix yaml::any warning
- fix yaml::any warning (patch by tom wyant)

* Tue Jun 05 2012 jquelin <jquelin> 0.810.0-1.mga3
+ Revision: 255675
- update to 0.81

* Thu Feb 23 2012 jquelin <jquelin> 0.800.0-1.mga2
+ Revision: 213292
- update to 0.80

* Thu Jan 05 2012 jquelin <jquelin> 0.780.0-1.mga2
+ Revision: 191343
- update to 0.78

* Thu Oct 13 2011 jquelin <jquelin> 0.770.0-1.mga2
+ Revision: 154509
- update to 0.77

* Tue Apr 19 2011 jquelin <jquelin> 0.730.0-1.mga1
+ Revision: 88580
- update to 0.73

* Wed Jan 19 2011 jquelin <jquelin> 0.720.0-2.mga1
+ Revision: 24287
- rebuild
- fix specs
- imported package perl-YAML

